(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      6846,        198]
NotebookOptionsPosition[      6509,        182]
NotebookOutlinePosition[      6866,        198]
CellTagsIndexPosition[      6823,        195]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Code", " ", "for", " ", "Exponential", " ", "Growth", " ", "Section"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"nmax", "=", "8"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"P", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "1", ",", "nmax"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"P", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", "2.0"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"i", "=", "2"}], ",", 
     RowBox[{"i", "\[LessEqual]", "nmax"}], ",", 
     RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"P", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "=", 
       RowBox[{
        RowBox[{"P", "[", 
         RowBox[{"[", 
          RowBox[{"i", "-", "1"}], "]"}], "]"}], "+", 
        RowBox[{"2", "*", 
         RowBox[{"P", "[", 
          RowBox[{"[", 
           RowBox[{"i", "-", "1"}], "]"}], "]"}]}]}]}], ";"}]}], 
    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "P", 
   "\[IndentingNewLine]", 
   RowBox[{"ListLinePlot", "[", "P", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6738891718817043`*^9, 3.673889318153339*^9}, {
  3.673889396813188*^9, 3.673889403203178*^9}, {3.673889862713229*^9, 
  3.6738898628523617`*^9}, {3.6738900464073973`*^9, 3.673890099409966*^9}, {
  3.67389014605761*^9, 3.673890154485654*^9}, {3.673890360827392*^9, 
  3.673890381198069*^9}, {3.673891552153454*^9, 3.673891567895974*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Code", " ", "for", " ", "Verhulst", " ", "Equation", " ", "section"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"nmax", "=", "20"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"P", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "1", ",", "nmax"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"P", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", "100.0"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"i", "=", "2"}], ",", 
     RowBox[{"i", "\[LessEqual]", "nmax"}], ",", 
     RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"P", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "=", 
       RowBox[{
        RowBox[{"P", "[", 
         RowBox[{"[", 
          RowBox[{"i", "-", "1"}], "]"}], "]"}], "+", 
        RowBox[{"0.5", "*", 
         RowBox[{"P", "[", 
          RowBox[{"[", 
           RowBox[{"i", "-", "1"}], "]"}], "]"}], "*", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{
            RowBox[{"P", "[", 
             RowBox[{"[", 
              RowBox[{"i", "-", "1"}], "]"}], "]"}], "/", "200"}]}], 
          ")"}]}]}]}], ";"}]}], "\[IndentingNewLine]", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ListLinePlot", "[", "P", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6738891718817043`*^9, 3.673889318153339*^9}, {
   3.673889396813188*^9, 3.673889403203178*^9}, {3.673889862713229*^9, 
   3.6738898628523617`*^9}, {3.6738900464073973`*^9, 3.673890099409966*^9}, {
   3.67389014605761*^9, 3.673890154485654*^9}, {3.673890360827392*^9, 
   3.673890401573264*^9}, {3.67389048637999*^9, 3.673890511731653*^9}, {
   3.673890616968256*^9, 3.6738906175088577`*^9}, {3.673890655039421*^9, 
   3.6738907066974983`*^9}, {3.673890809788015*^9, 3.673890834692566*^9}, {
   3.673890870793173*^9, 3.673890913219233*^9}, {3.6738910014471407`*^9, 
   3.6738910019257603`*^9}, {3.673891072946982*^9, 3.673891099487803*^9}, {
   3.6738911297748547`*^9, 3.673891189266122*^9}, {3.673891455886558*^9, 
   3.6738914782641287`*^9}, {3.6738915386376047`*^9, 3.67389154884695*^9}, {
   3.673891856389773*^9, 3.673891871735196*^9}, {3.673891925799654*^9, 
   3.673891941495942*^9}, 3.6738927250067987`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Code", " ", "for", " ", "Logistic", " ", "Map", " ", "section"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"c", "=", "3.8375"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nmax", "=", "65"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"P", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "1", ",", "nmax"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"P", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", "0.5"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"i", "=", "2"}], ",", 
     RowBox[{"i", "\[LessEqual]", "nmax"}], ",", 
     RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"P", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "=", 
       RowBox[{"c", "*", 
        RowBox[{"P", "[", 
         RowBox[{"[", 
          RowBox[{"i", "-", "1"}], "]"}], "]"}], "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"P", "[", 
           RowBox[{"[", 
            RowBox[{"i", "-", "1"}], "]"}], "]"}]}], ")"}]}]}], ";"}]}], 
    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "P", 
   "\[IndentingNewLine]", 
   RowBox[{"ListLinePlot", "[", "P", "]"}], "\[IndentingNewLine]", 
   RowBox[{"Histogram", "[", 
    RowBox[{"P", ",", "50"}], "]"}]}]}]], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQ/casxig5/rWj+osjLiB6MessPxCd35DmD6KPXbrW
AaJ73G6D6TTOs/NBdKFc7jIQ/fG64xoQXdXlvxZE/6+UOg6i9SKMzoDohxpn
roHoLZnfb4LoL7/lnoPoCR4GYPqD08PXIPpFYNgnEJ1tbvkfRDdohjGlAOk1
iTfZQPRXZnUeEP3LT08cRF+Zbwum1/rKKYBo0Tn5yiB6zmkLdRAt1LJCD0Sv
j/vjD6L3FZ8IAtFO6SFRINr8w4t4EB2jfK4URCv81q4B0QnfN00E0cvvbJkE
tqf02FwQ/agwaieILhbkPwWi33o0nQPRAAuNoIw=
  "]]
},
WindowSize->{740, 561},
WindowMargins->{{Automatic, 87}, {Automatic, 25}},
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 20, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1646, 45, 165, "Input"],
Cell[2206, 67, 2418, 59, 148, "Input"],
Cell[4627, 128, 1878, 52, 199, "Input"]
}
]
*)

(* End of internal cache information *)
